import java.awt.*;
import javax.swing.JFrame;
import javax.swing.*;

public class MultiMenuView {
    private JPanel mainPanel = new JPanel(new CardLayout()); // CardLayout for switching
    private JPanel multiPanel = new JPanel(null);
    ImageIcon SoundIcon = new ImageIcon("graphics/sound button.png");
    private JFrame frame = new JFrame();
    private JButton soundButton = new JButton(SoundIcon);
    Font robotoFont = new Font("Roboto", Font.BOLD, 45);
    public MultiMenuView() {
        buildPanel();
    }


    public void buildPanel(){
        soundButton.setBounds(20,20,128,128);

        mainPanel.add(multiPanel, "MultiMenu");
        soundButton.setFont(robotoFont.deriveFont(50f));

        multiPanel.add(soundButton);
    }

    public void toggleMute(){
        ImageIcon MuteIcon = new ImageIcon("graphics/sound button muted.png");
        if(soundButton.getIcon()==SoundIcon) {
            soundButton.setIcon(MuteIcon);
        }else{
            soundButton.setIcon(SoundIcon);
        }
    }
    public JPanel getPanel() {
        return multiPanel;
    }

    public void showPanel(String panelName) {
        CardLayout cl = (CardLayout)mainPanel.getLayout();
        cl.show(multiPanel, panelName);
    }

    public void addPanel(JPanel panel, String name) {
        multiPanel.add(panel, name);
    }

    public void closeWindOw(){
        frame.dispose();
    }
    public JFrame getFrame() {
        return frame;
    }

    public JButton getSoundButton() {
        return soundButton;
    }

}
